#ifndef GetComChannelEcuVariantName_H
#define GetComChannelEcuVariantName_H

#include <Command.h>

#include "ComChannel.h"
namespace ProtoGenWrapper
{
	class GetComChannelEcuVariantName : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetComChannelEcuVariantName(const ComChannel comChannel);
		GetComChannelEcuVariantName(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel& comChannel);

		static int GetCommandType();
	};
}
#endif // GetComChannelEcuVariantName_H
